Subject: bug#18589: Why is the the longlines package obsolete?

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Sep 2014 14:19:36 -0400

> However, from what I understand, visual-line-mode isn't capable of wraping
> lines to be shorter than window width, which was one of longlines' features.

You can get the same result by fiddling with the window margins or by
splitting your window.  I seem to remember someone writing code to do
that conveniently, but I wouldn't know where to find it.

> Is longlines-mode really redundant?

visual-lines-mode provides the feature for which longlines-mode was
written, so in this sense it's definitely obsolete/redundant.

Of course, by virtue of working differently, it might provide some
functionality which visual-lines-mode can't provide.  But "lines shorter
than the window" is not really one of them.

Recently someone pointed out that using longlines-mode in a buffer that
contain *very* long lines makes it possible to view&edit the buffer
without suffering unbearable performance problems.  So maybe in this
sense it's not completely obsolete.

        Stefan